<?php
/**
 * 2010-2021 Coderplacethemes
 *
 * NOTICE OF LICENSE
 *
 * Product Countdown for prestashop 1.7: Product Countdown
 *
 * DISCLAIMER
 *
 *  @author    coderplace <support@coderplace.com>
 *  @copyright 2010-2021 coderplace
 *  @license   http://www.coderplace.com - prestashop template provider
 *  @Module Name: Product Countdown
 */

if (!defined('_PS_VERSION_'))
    exit;
class cp_countdown extends Module
{
    public function __construct()
    {
        $this->name = 'cp_countdown';
        $this->version = '1.0.0';
        $this->author = 'CoderPlace';
        $this->tab = 'front_office_features';
        $this->need_instance = 0;
        $this->bootstrap = true;
        $this->ps_versions_compliancy = array('min' => '1.5', 'max' => _PS_VERSION_);
        parent::__construct();
        $this->displayName = $this->l('CP - Product Countdown');
        $this->description = $this->l('Countdown timer for products.');
        $this->_searched_email = null;
        $this->confirmUninstall = $this->l('Are you sure you want to uninstall?');
    }

    public function install()
    {
        if (!parent::install() ||
            !$this->registerHook('displayHeader') ||
            !$this->registerHook('displayCountdown')

        ){
            return false;
        }
        return true;
    }

    public function uninstall()
    {
        return parent::uninstall();
    }

    public function hookdisplayHeader($params)
    {
        $this->context->controller->addCSS($this->_path . 'views/css/countdown.css', 'all');
        $this->context->controller->addJS($this->_path . 'views/js/countdown.js', 'all');
    }

    public function hookdisplayCountdown($params)
    {  
        $product= $params['product'];
        if(isset($product->specificPrice)){            
            $id_product = (int)$product->specificPrice['id_product'];
            $id_cate = (int)$product->id_category_default;
            $enddate =  (int)strtotime($product->specificPrice['to']); 
            $this->context->smarty->assign(array(
                'idproduct' => $id_product,
                'enddate' => $enddate,
                'id_cate'=>$id_cate,
            ));
        }
        else {
            if(isset($params['product']['specific_prices']) && isset($params['product']['specific_prices']['from']) && isset($params['product']['specific_prices']['to']) ){                
                $id_product = (int)$params['product']['id_product'];
                $id_cate = (int)$params['product']['id_category_default'];
                if(isset($params['productCate'])){
                    $id_cate =   $params['productCate']['id'];
                    $this->context->smarty->assign('id_cate',$id_cate);
                }                
                $enddate =  $params['product']['specific_prices']['to'];               
                $time=strtotime($enddate);
                $month=date("m",$time);
                $year=date("Y",$time);
                $date=date("d",$time);
                $this->context->smarty->assign(array(
                    'idproduct' => $id_product,
                    'enddate' => $enddate,
                    'id_cate'=>$id_cate,
                ));
            }
            else{
                return false;
            }           
        }
        return $this->display(__FILE__,'cpcountdown.tpl');
    }

}